PromotionsCoupons
Import coupon codes
Import code and optional usageLimit columns. validateOnly checks rows without creating codes.
Path Parameters
couponId*string
Identifier of the coupon.
Query Parameters
validateOnly?boolean
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Raw CSV, TSV, XLSX or JSONL file. The Content-Type selects its format.
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/coupons/7204558912004324510/codes/imports" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: text/csv" \ --data-binary @import.csv{ "id": "7204558912004321909", "status": "pending", "resource": "promotion-codes", "format": "csv", "createdOn": "2026-09-28T15:30:00Z"}